/*
 * RobotFunctions.h
 *
 *  Created on: Aug 24, 2024
 *      Author: DashyFox
 */

#ifndef INC_ROBOTFUNCTIONS_H_
#define INC_ROBOTFUNCTIONS_H_

#include "pca9685.h"
#include "EEPROM.h"


void doShot(Shot*);
void doShotForever(uint8_t number);

uint8_t prepareShot(uint8_t number);

void startShooting();
void stopShooting();

void setPos();
void setPosDefault();

// 0 .. 100
void setScrewkSpeed(uint8_t speed);


//(-v) 0 .. 100(stop) .. 200(+v)
void setRollersSpeed(uint8_t up, uint8_t down); //(-v) 0 . 100(stop) . 200(+v)

void startProgram(); // shot sequence
void startMacro(); // shot sequence







#endif /* INC_ROBOTFUNCTIONS_H_ */
